{ config, pkgs, ... }:
{
  # Integrated Development Environment (IDE)
  # Wayland support: NIXOS_OZONE_WL=1

  environment.systemPackages = with pkgs; [
    (vscode-with-extensions.override {
      vscode = vscodium;
      vscodeExtensions = with vscode-extensions; [
        #bbenoist.nix
        #ms-azuretools.vscode-docker
        #ms-vscode-remote.remote-ssh

        # https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one
        # https://github.com/yzhang-gh/vscode-markdown
        yzhang.markdown-all-in-one

        # https://matthewrhone.dev/nixos-vscode-environment
        # https://marketplace.visualstudio.com/items?itemName=arrterian.nix-env-selector
        arrterian.nix-env-selector

        # IntelliSense (Pylance), Linting, Debugging (multi-threaded, remote), code formatting, refactoring, unit tests, and more.
        ms-python.python
      ];
    })
  ];
}
